/* Overlay style */
.overlay {
	position: fixed;
	width:auto;
	height: 100%;
	top: 0;
	right: 0;
	background:#000;
    z-index:999;
	-webkit-box-shadow: -5px 0 5px 0 rgba(0,0,0,0.3);
	box-shadow: -5px 0 5px 0 rgba(0,0,0,0.3);
	padding-left:10%;
    padding-right:10px;
    overflow-y: auto;
    overflow-x: hidden;
}

/* Overlay closing cross */
.overlay .overlay-close {
	width:125px; height:125px;
	position: absolute;
	right:0px;
	top:0px;
	overflow: hidden;
	border: none;
	background: url("../images/menu-close.png") no-repeat center center;
    background-size:55px 55px;
	text-indent: 200%;
	color: transparent;
	outline: none;
	z-index: 100;
}

/* Menu style */
.overlay nav {
	text-align: right;
	position: relative;
	top:10%;
	/* height: 60%;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%); */
    right:10%;
}

.overlay ul {
	list-style: none;
	padding: 0;
	margin: 0 auto;
	display: inline-block;
	height: 100%;
	position: relative;
}

.overlay ul li {
	display: block;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.overlay ul li a {
	font-size:24px;
	font-weight: 300;
	display: block;
	color: #fff;
	-webkit-transition: color 0.2s;
	transition: color 0.2s;
}

.overlay ul li a:hover,
.overlay ul li a:focus {
	color: #f0f0f0;
}

/* Effects */
html, body {
	overflow-x: hidden;
}

.container {
	overflow-x: hidden;
	-webkit-transition: -webkit-transform 0.5s;
	transition: transform 0.5s;	
}

.container.overlay-open {
	-webkit-transform: translateX(50%);
	transform: translateX(50%);
}

.container::after {
	content: '';
	opacity: 0;
	visibility: hidden;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.6);
	-webkit-transition: opacity 0.5s, visibility 0s 0.5s;
	transition: opacity 0.5s, visibility 0s 0.5s;
}

.container.overlay-open::after {
	visibility: visible;
	opacity: 1;
	-webkit-transition: opacity 0.5s;
	transition: opacity 0.5s;
}

.overlay-contentpush {
	background: rgba(0,0,0,1);
	visibility: hidden;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-transform: translateX(100%);
	transform: translateX(100%);
	-webkit-transition: -webkit-transform 0.5s, visibility 0s 0.5s;
	transition: transform 0.5s, visibility 0s 0.5s;
}

.overlay-contentpush.open {
	visibility: visible;
	-webkit-transform: translateX(0%);
	transform: translateX(0%);
	-webkit-transition: -webkit-transform 0.5s;
	transition: transform 0.5s;
}

@media (max-width: 909px) {
    .overlay {
        width:100%;
    }
}

@media screen and (max-height: 30.5em) {
	.overlay nav {
		height: 70%;
		font-size: 34px;
	}
	.overlay ul li {
		min-height: 34px;
	}
}